//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2015 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief A session id is a unique session identifier, allocated by the server.
 
 @see PTDiffusionSession

 @since 5.6
 */
@interface PTDiffusionSessionId : NSObject  <NSCopying, NSSecureCoding>

-(instancetype)init NS_UNAVAILABLE;

/**
 Compares the receiver to the given session id.

 @param sessionId The session id object with which to compare the receiver.

 @return `YES` if the given session id is equal to the receiver, otherwise `NO`.

 @since 5.6
 */
-(BOOL)isEqualToSessionId:(nullable PTDiffusionSessionId *)sessionId;

@end

NS_ASSUME_NONNULL_END
