//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionEnumeration.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief The level of detail to request when getting topic details.
 
 @see PTDiffusionTopicsFeature
 
 @since 5.7
 */
@interface PTDiffusionTopicDetailsLevel : PTDiffusionEnumeration

/**
 @brief Only the topic type will be available.

 @since 5.7
 */
+(instancetype)basic;

/**
 @brief Only the schema and topic type will be available.

 @since 5.7
 */
+(instancetype)schema;

/**
 @brief Attributes, schema and topic type will all be available.

 @since 5.7
 */
+(instancetype)full;

@end

NS_ASSUME_NONNULL_END
